# Le manuel de &konsole;

Jonathan
Singer

    jsinger@leeta.net

Chris
Machemer

    machey@ptd.net

Mainteneur
Michael
McBride
Relecteur

    mmcbride@ematic.com

Lauri
Watts
Relecteur

    vampyr@atconnex.net

Anne-Marie
Mahfouf

    a-m.mahfouf@lineone.net

Traduction française
2000
2001
Jonathan Singer
&FDLNotice;
2001-07-09
1.00.20

Ce document est le manuel de l'utilisateur pour l'application &konsole;.

&konsole; est un émulateur de terminal X pour &kde; 2.0

KDE
konsole
kdebase
commande
ligne

## Introduction à &konsole;

&konsole; est un émulateur de terminal X qui fournit une interface de commande en ligne (CLI) pendant l'utilisation de l'environnement de bureau graphique KDE (K Desktop Environment). &konsole; aide à mieux organiser le bureau de l'utilisateur en contenant des sessions multiples dans une seule fenêtre (bureau moins encombré).

Ses caractéristiques avancées comprennent une configuration aisée et la possibilité d'utiliser des terminaux shell dans une seule fenêtre.

En utilisant &konsole; un utilisateur peut ouvrir :

- des sessions de console &Linux;

- des sessions du gestionnaire de fichiers Midnight Commander

- des sessions shell

- des sessions console administrateur (utilisateur root)

- des sessions du gestionnaire de fichiers Midnight Commander en tant qu'administrateur (utilisateur root)

Ces sessions peuvent être renommées pour vous aider à garder trace de tous vos shells, ou on peut leur envoyer des signaux (STOP, CONT, HUP, INT, TERM, KILL).

Pour plus de contrôle sous &konsole;, un utilisateur peut :

- cacher/montrer la barre de menus, la barre d'outils et/ou le cadre

- sélectionner la taille d'une fenêtre de &konsole;, les polices, les schémas de couleur et l'assignation des touches

- changer la localisation de la barre de défilement ou cacher celle-ci

Toutes les options choisies peuvent devenir défaut pour les sessions à venir en les enregistrant.

### Historique

Pour ceux qui ont un intérêt certain dans la taxonomie des terminaux X libres, il en existe deux autres de la même sorte : xterm, l'original, écrit même avant X lui-même (un mois ou deux), et xvt, un clone léger xterm, sur lequel la plupart des dérivés disponibles en ce moment (notamment eterm) sont basés.

Après une décennie, &konsole; est le premier à être entièrement récrit. Alors que xterm a été compliqué à l'extrême pendant ce temps (son fichier `README` commence par les mots Abandonnez tout espoir, vous qui entrez ici), &konsole; offre un nouveau départ en utilisant des technologies et une compréhension contemporaines de X.

## Utilisation de &konsole;

### Démarrage

Quand &konsole; est invoqué, une application (typiquement un shell Unix) s'exécute dans la fenêtre. Tapez simplement à l'invite.

L'écran de &konsole;
L'écran de &konsole;

### Historique

Comme les lignes défilent à partir du haut de l'écran, elles peuvent être revisualisées en bougeant la barre de défilement vers le haut ou par l'utilisation des touches Maj Page Up (pour revenir à la page précédente), Maj Page Down (pour aller à la page suivante), Maj Up (pour remonter d'une ligne) et les touches Maj Down (pour descendre d'une ligne)(en supposant que l'option "Historique" soit cochée).

### Boutons de la souris

gauche

  Un clic sur le bouton gauche est transmis en tant qu'événement à l'application qui fonctionne dans l'émulateur si elle supporte cette fonction. Si un programme est capable de réagir aux clics de souris, &konsole; l'indique en donnant au curseur la forme d'une flèche. Dans le cas contraire, un curseur en forme de barre verticale est affiché.

  Conserver le bouton gauche enfoncé en déplaçant la souris dans l'écran lorsqu'une application ne gérant pas la souris fonctionne dans le terminal marquera une région du texte. Le texte ainsi marqué sera affiché en vidéo inversée. Dès que le bouton est relâché, le texte marqué est copié dans le presse-papiers pour utilisation ultérieure dans &konsole; ou dans une autre application.

  Normalement, des caractères "nouvelle ligne" sont insérés à la fin de chaque ligne sélectionnée. C'est habituellement mieux pour copier-coller du code source ou pour les sorties d'une commande particulière. Pour du texte ordinaire, les sauts de ligne ne sont généralement pas importants. On pourrait souhaiter que le texte prenne la forme d'une simple suite de caractères qui sera automatiquement reformatée lorsqu'elle sera copiée dans une autre application. Pour sélectionner du texte de cette manière, enfoncez la touche Ctrl tout en sélectionnant normalement.

  Dès que le bord supérieur ou inférieur de la zone de texte marquée est atteint, &konsole; le fait défiler vers le haut ou vers le bas, affichant ainsi le cas échéant le contenu du tampon d'historique. Le défilement cesse dès que vous cessez de déplacer la souris.

  Dès que vous relâchez la souris, &konsole; essaye de maintenir la sélection visible en la conservant en vidéo inversée. La zone ainsi marquée revient à un affichage normal dès que le contenu du presse-papiers change, que le texte dans la zone marquée est modifié ou que vous cliquez sur le bouton gauche de la souris.

  Pour marquer du texte dans une application qui gère les événements de souris, il faut enfoncer la touche Maj pendant qu'on clique.

central

  Appuyer sur le bouton central copie le texte présent dans le presse-papiers.

  Si vous avez une souris avec seulement deux boutons, appuyer en même temps sur le bouton gauche et le bouton droite imite le bouton central de la souris à trois boutons.

droit

  Le bouton droit fait apparaître le menu Options. La combinaison &Ctrl; bouton droit fait apparaître le menu Fichier tandis que la combinaison &Shift; bouton droit fait apparaître le menu Sessions.

### La barre de menus

La barre de menus se trouve en haut de la fenêtre de &konsole;. Elle peut être cachée et rétablie en décochant/cochant Afficher la barre de menus dans le menu Options. Quand la barre de menus est cachée, l'option Afficher la barre de menus peut être visualisée en cliquant le bouton droit de la souris dans la fenêtre.

#### Le menu Fichier

Fichier Console Linux

  Ouvre une nouvelle session simulant un système Linux en mode texte.

  Voir le fichier `README.linux.console` pour des informations détaillées sur les différences entre une console &Linux; et une console &UNIX; typique.

Fichier Midnight Commander

  Ouvre une nouvelle session avec le navigateur graphique de fichiers Midnight Commander

Fichier Shell

  Ouvre une nouvelle session avec un interpréteur de commandes dans un terminal

Fichier Console administrateur

  Ouvre une nouvelle session avec un terminal shell, en tant qu'administrateur (utilisateur root).

  Après l'invite demandant le mot de passe de root, l'invite # apparaît, indiquant que l'utilisateur travaille maintenant avec les privilèges de l'administrateur (utilisateur root). Cela est fréquemment nécessaire pour installer un nouveau logiciel ou effectuer la maintenance du système, mais des précautions doivent être prises pour éviter tout dommage accidentel.

Fichier Administrateur Midnight Commander

  Ouvre une nouvelle session avec le navigateur graphique de fichiers Midnight Commander, en tant qu'administrateur (utilisateur root).

  Après l'invite demandant le mot de passe de root, l'invite # apparaît, indiquant que l'utilisateur travaille maintenant avec les privilèges de l'administrateur. Cela est fréquemment nécessaire pour installer un nouveau logiciel ou effectuer la maintenance du système, mais des précautions doivent être prises pour éviter tout dommage accidentel.

Fichier Quitter

  Quitte &konsole;, en fermant toutes les sessions ainsi que toute application lancée depuis une session.

Vous pouvez également ouvrir une nouvelle session grâce à un accélérateur clavier. Par défaut, il s'agit de Alt Ctrl N. Vous pouvez également définir votre propre accélérateur clavier pour lancer une nouvelle session de terminal. Les fichiers avec une extension `*.keytab` dans `$`KDEDIR`/share/apps/konsole` définissent des raccourcis clavier.

Par exemple, l'ajout de la définition: `key F12 + Shift : newSession` aux fichiers keytab actifs permet qu'un nouvel interpréteur de commandes soit lancé par l'appui sur &Shift;F12. Utilisez le menu Options Clavier pour choisir un fichier keytab. Le fichier `README.KeyTab` contient plus d'informations sur la manière de définir des raccourcis.

#### Le menu Sessions

Sessions Envoyer un signal

  Envoyer un signal - Envoie le signal spécifié au processus shell, ou tout autre processus, qui a été lancé quand la nouvelle session a débuté.

  Les signaux disponibles actuellement sont :

  STOP | pour arrêter un processus
  CONT | continuer après arrêt
  HUP | arrêt imprévu détecté sur le terminal de contrôle ou mort du processus de contrôle
  INT | interruption du clavier
  TERM | signal de cessation
  KILL | envoie un signal d'arrêt

  Veuillez vous référer aux pages man de votre système pour plus de détails en saisissant la commande ``man` `7 signal``.

Sessions Renommer la session...

  Change le nom de la session active

Sessions Icônes de session...

  À la fin du menu se trouve une liste des sessions disponibles. En sélectionner une rendra cette session active.

  Vous pouvez aussi utiliser les touches Maj gauche/Maj droit pour parcourir les différentes sessions disponibles.

#### Le menu Options

Options Renommer la session...

  Change le nom de la session active

Options Afficher la barre de menus

  Montre ou cache la barre de menus

Options Afficher la barre d'outils

  Montre ou cache la barre d'outils

Options Afficher le cadre

  Montre ou cache le cadre sur les côtés de la fenêtre

Options Barre de défilement

  Contrôle l'emplacement de la barre de défilement : cachée, à gauche, ou à droite

Options Plein écran

  Bascule la fenêtre entre plein écran et taille normale

Options Taille

  Fixe la taille de la surface du texte (donnée en colonnes x lignes)

Options Police

  Fixe la taille de la police

  Choisissez l'option Personnalisée pour choisir librement la combinaison de police, taille et style souhaitée. Le fichier `README.fonts` dans le code source de &konsole; donne des indications sur les polices qui donnent de bons résultats.

Options Modèle

  Fixe les couleurs du texte et du fond d'écran

  La liste de ces schémas est lue dans `$KDEDIR/share/apps/konsole/*.schema`. Le fichier `$KDEDIR/share/apps/konsole/README.Schema` décrit le format des schémas avec plus de détails. Complétez ou Modifiez ces fichiers en fonctions de vos besoins. Vous pouvez également créer des schémas personnalisés depuis &kcontrolcenter; en choisissant Système Konsole.

Options Historique

Options Encodage

  Pas encore implémenté

Options Clavier

  Choisit la table de caractères souhaitée

  La liste de ces tables de caractères se trouve dans `$KDEDIR/apps/konsole/*.keytab`. Le fichier `$KDEDIR/share/apps/konsole/README.KeyTab` décrit le format keytab en détail. Complétez ou modifiez ces fichiers en fonction de vos besoins.

Options Séparateurs de mots

  Détermine les caractères qui seront reconnus comme séparateurs entre deux mots.

  Cela affecte quel texte sera sélectionné lorsque vous double-cliquez sur du texte. C'est plus important pour des encodages non occidentaux.

Options Signaler les sessions ouvertes en quittant

  Quand ceci est coché, un avertissement apparaît quand vous essayez de fermer une fenêtre &konsole; avec de multiples sessions.

Options Enregistrer les options

  Enregistre les paramètres actuels comme nouveaux paramètres par défaut

#### Le menu Aide

F1 Aide Contenu

  Ouvre la table des matières de ce document

Aide Référence Technique...

  Information détaillée sur l'émulation de terminaux et sur &konsole;

Aide Rapport de bogue...

  Soumettre un rapport de bogue ou demander une caractéristique pour &konsole;

Aide À propos de Konsole

  Information sur l'auteur de &konsole;

Aide À propos de KDE

  Information sur le projet KDE

### La barre d'outils

La barre d'outils se trouve en bas de la fenêtre de &konsole;.

Elle peut être cachée et rétablie en basculant Afficher la barre d'outils dans le menu Options ou en cliquant sur la poignée sur le côté de la barre. La barre contient une icône Nouveau et des icônes pour les sessions en cours. Cliquer sur Nouveau ouvre une nouvelle session Shell.

Cliquer sur l'icône d'une session existante rend cette session active.

Lorsque la barre d'outils est cachée, les combinaisons de touches Maj gauche et Maj droite peuvent être utilisées pour naviguer entre les sessions.

### Options de commande en ligne

Quand &konsole; est lancé depuis une commande en ligne, plusieurs options peuvent être spécifiées pour modifier son comportement.

`--help`

  Affiche les différentes options

`--name`

  Détermine le nom qui apparaît dans la barre de titre

`--ls`

  Démarre un shell de connexion

`--nowelcome`

  Supprime le message "Bienvenue à la &konsole;" qui apparaît normalement dans la barre de titre

`-T,--title`

  Détermine le titre de la fenêtre

`--xwin`

  Ignoré

`--nohist`

  Supprime l'enregistrement des lignes qui s'inscrivent depuis le haut de la fenêtre

`--notoolbar`

  Démarre &konsole; sans barre d'outils

`--vt_sz` `CCxLL`

  Démarre une fenêtre de terminal de CC colonnes et LL lignes

`-e` `command`

  Exécute `command` au lieu de l'interpréteur de commandes.

Par exemple :

    bash$ konsole --vt_sz 90x25 --nohist

lance une fenêtre &konsole; de 90 colonnes et 25 rangs, sans tampon d'historique

&konsole; accepte aussi les options génériques de &Qt; et KDE :

`--help-qt`

  Affiche les options spécifiques à Qt

`--help-kde`

  Affiche les options spécifiques à KDE

`--help-all`

  Affiche toutes les options

`--author`

  Affiche le nom de(s) auteur(s)

`-v,--version`

  Affiche le numéro de la version

`--license`

  Affiche des informations sur la licence

## Remerciements et copyright

&konsole; est maintenu par Chris Machemer machey@ptd.net

L'application &konsole; copyright 1997-2000 Lars Doelle lars.doelle@on-line.de

Ce document a été écrit par Jonathan Singer jsinger@genome.wi.mit.edu

Converti au format DocBook SGML par Michael McBride mmcbride@ematic.com et Lauri Watts vampyr@atconnex.net

Traduction française par Anne-Marie a-m.mahfouf@lineone.net

&underFDL; &underGPL;

## Installation

&konsole; fait partie des paquetages de base de &kde; 2.0. Il sera installé automatiquement avec votre installation &kde; et nécessite &kde; 2.0 pour fonctionner.

Pour plus d'information, vous pouvez visiter le site web de &kde; à http://www.kde.org/

Si vous désirez obtenir &konsole; séparément, téléchargez le paquetage kdebase et compilez le et installez le comme il est indiqué dans le dossier principal du paquetage. De nouvelles versions de kdebase peuvent être obtenues à ftp://ftp.kde.org/pub/

Pour installer &konsole; :

    $  cd kdebase/konsole
    $  ./configure
    $  make
    Puis en tant que root :
    #  makeinstall

Des informations sur la façon de construire &konsole; sur d'autres plates-formes que &Linux; sont disponibles dans le fichier `README.ports` du code source de &kpackage;. Il donne une liste d'experts de certaines plates-formes (Tru64, Solaris, OpenBSD) et lance un appel à volontaires pour les autres plates-formes &UNIX;.

&documentation.index;